<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [isDarknetServer](./bitburner.darknet.isdarknetserver.md)

## Darknet.isDarknetServer() method

Returns whether the server is a darknet server.

Returns false if the server does not exist or has gone offline recently. This function does not require DarkscapeNavigator.exe.

**Signature:**

```typescript
isDarknetServer(host?: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Optional. Hostname/IP for the requested server object. Defaults to the running script's server.


</td></tr>
</tbody></table>

**Returns:**

boolean

true if the server is a darknet server, false otherwise.

## Remarks

RAM cost: 0.1 GB

